%global upstream_name socexplorer-plugins-0.6-1

Name:           socexplorer-plugins
Version:        0.6
Release:        1%{?dist}
Summary:        Base plugins for SocExplorer.
Group:          Development/Tools
License:        GPLv2
URL:            https://hephaistos.lpp.polytechnique.fr/redmine/projects/socexplorer
Source0:        https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/381/%{upstream_name}.zip

BuildRequires:  python2-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qttools-static
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtxmlpatterns-devel
BuildRequires:  elfutils-libelf-devel
BuildRequires:  qt5-pythonqt-devel
BuildRequires:  socexplorer-devel = 0.6

Requires:  socexplorer = 0.6
Requires:  qt5-pythonqt
Requires:  python2
Requires:  qt5-qtwebkit
Requires:  qt5-qttools
Requires:  qt5-qtsvg
Requires:  qt5-qtxmlpatterns
Requires:  elfutils-libelf

%description
SocExplorer is an open source generic System On Chip testing software/framework. This package contains the base plugins for SocExplorer such as AHBUARTplugin for connecting to any grlib based design with an AHBUART. 
You will get:
  - AHB UART plugin
  - APB UART plugin
  - AMBA plugin
  - DSU3 plugin
  - Generic rw plugin
  - Memcheck & Memectr plugins

%prep
%setup -q -n %{upstream_name}

%build
%{_qt5_qmake} 

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
   %{_qt5_libdir}/SocExplorer/plugins/libApbUartPlugin.so*
   %{_qt5_libdir}/SocExplorer/plugins/libahbuartplugin.so*
   %{_qt5_libdir}/SocExplorer/plugins/libambaplugin.so*
   %{_qt5_libdir}/SocExplorer/plugins/libdsu3plugin.so*
   %{_qt5_libdir}/SocExplorer/plugins/libgenericrwplugin.so*
   %{_qt5_libdir}/SocExplorer/plugins/libmemcheckplugin.so*
   %{_qt5_libdir}/SocExplorer/plugins/libmemctrlrplugin.so*

%changelog
* Fri Apr 3  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 0.6
- Fix some remaining mistakes.

* Thu Apr 2  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 0.6
-Uses r53 as source.
-Removed GenericPySysdriver interface, now socexplorer plugins can be subclassed in python.

* Thu Mar 26  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 0.5
-Uses r51 as source.

* Wed Mar 25  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 0.4
-Uses r50 as source.

* Fri Mar 20  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 0.4
-Uses r49 as source.

* Mon Mar 9  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 0.4
-Uses r48 as source.

* Wed Feb 18 2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 0.4
-Uses r45 as source.

* Tue Feb 10 2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 0.4
-Uses r44 as source.

* Tue Dec 30 2014 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 0.4
- Uses r42 as source.

* Sat Jun 28 2014 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 0.4
- Initial Fedora packaging
